/**
 * Created by jmoutard on 21/07/16.
 */

'use strict';

angular.module('adf.electre')
    .controller('dashboardController', [
        "$scope", "$rootScope", "$stateParams", "data",
        function ($scope, $rootScope, $stateParams, data) {
            if (data) {
                this.model = data;
            } else {
                this.name = $stateParams.id;
                this.model = {
                    "title": "Default dashboard",
                    "structure": '2 rows (12-(3-3-3-3))',
                    "rows" : [{
                        "columns" : [{
                            "styleClass" : 'col-md-12'
                        }]
                    },{
                        "columns" : [{
                            "styleClass" : 'col-md-3'
                        },{
                            "styleClass" : 'col-md-3'
                        },{
                            "styleClass" : 'col-md-3'
                        },{
                            "styleClass" : 'col-md-3'
                        }]
                    }]
                };

                this.remove = function(id){ $rootScope.$broadcast('removeDashboard', id); };

                $scope.$on('adfDashboardChanged', function(event, name, model) { $rootScope.$broadcast('updateDashboard', name, model); });
            }
        }
    ]);